# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_FieldOfHArray1OfBezierCurve Class Reference

`#include <PColPGeom2d_FieldOfHArray1OfBezierCurve.hxx>`

Inheritance diagram for PColPGeom2d_FieldOfHArray1OfBezierCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfBezierCurve ()
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfBezierCurve (const Standard_Integer Size)
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfBezierCurve (const PColPGeom2d_FieldOfHArray1OfBezierCurve &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom2d_FieldOfHArray1OfBezierCurve &Other)
void | operator= (const PColPGeom2d_FieldOfHArray1OfBezierCurve &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom2d_BezierCurve)&Value)
Standard_EXPORT Handle_PGeom2d_BezierCurve & | Value (const Standard_Integer Index) const
Handle_PGeom2d_BezierCurve & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom2d_FieldOfHArray1OfBezierCurve ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColPGeom2d_FieldOfHArray1OfBezierCurve_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfBezierCurve::PColPGeom2d_FieldOfHArray1OfBezierCurve | ( |  | ) |

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfBezierCurve::PColPGeom2d_FieldOfHArray1OfBezierCurve | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfBezierCurve::PColPGeom2d_FieldOfHArray1OfBezierCurve | ( | const PColPGeom2d_FieldOfHArray1OfBezierCurve & | Varray | ) |

PColPGeom2d_FieldOfHArray1OfBezierCurve::~PColPGeom2d_FieldOfHArray1OfBezierCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfBezierCurve::Assign | ( | const PColPGeom2d_FieldOfHArray1OfBezierCurve & | Other | ) |

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfBezierCurve::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom2d_FieldOfHArray1OfBezierCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom2d_FieldOfHArray1OfBezierCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom2d_FieldOfHArray1OfBezierCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom2d_BezierCurve& PColPGeom2d_FieldOfHArray1OfBezierCurve::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom2d_FieldOfHArray1OfBezierCurve::operator= | ( | const PColPGeom2d_FieldOfHArray1OfBezierCurve & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfBezierCurve::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfBezierCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom2d_BezierCurve)& | Value
| ) |

Standard_EXPORT Handle_PGeom2d_BezierCurve& PColPGeom2d_FieldOfHArray1OfBezierCurve::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom2d_FieldOfHArray1OfBezierCurve_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom2d_FieldOfHArray1OfBezierCurve.hxx